MCP Tools Reference: storage.googleapis.com

Tool: list_buckets

Lists the buckets of a project.

The following sample demonstrates how to use curl to invoke the list_buckets MCP tool.

Curl Request
curl --location 'https://storage.googleapis.com/storage/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_buckets",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

ListBucketsRequest

JSON representation
{
  "projectId": string,
  "prefix": string,
  "pageSize": integer,
  "pageToken": string
}
Fields
projectId

string

Required.

prefix

string

Optional. Filter results to buckets whose names begin with this prefix.

pageSize

integer

Optional. The maximum number of buckets to return. The service can return fewer than this value.

If unspecified, at most 1000 buckets will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous ListBuckets call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to ListBuckets must match the call that provided the page token (except pageSize, which can differ).

Output Schema

Response message for ListBuckets.

ListBucketsResponse

JSON representation
{
  "bucketNames": [
    string
  ],
  "nextPageToken": string
}
Fields
bucketNames[]

string

The list of bucket names.

nextPageToken

string

A token, which can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌